# RubyEncoder v3 loader
_v = RUBY_VERSION.scan(/^\d+\.\d+\.\d+/)[0].delete('.')
sv = Sketchup.version.to_i
if (sv == 22 || sv == 23) && RUBY_PLATFORM.include?('arm64-darwin')
  $LOADED_FEATURES.reject! { |p| p.dup.force_encoding("UTF-8").start_with?('rgloader27.darwin') }
  require_relative 'arm64-darwin/rgloader27.darwin'
elsif sv == 24 && RUBY_PLATFORM.include?('arm64-darwin')
  $LOADED_FEATURES.reject! { |p| p.dup.force_encoding("UTF-8").start_with?('rgloader27.darwin') }
  require_relative 'arm64-darwin/rgloader32.darwin'
else
  if Sketchup.platform == :platform_win && Sketchup.version.to_i >= 24
    _p = RUBY_PLATFORM.scan(/([A-Za-z0-9_]+)?-([A-Za-z_]+)/)[0]
    _p[0] = 'unknown' if !_p[0]
    _p[1] = "mingw" if _p[1] == "mswin"
  elsif Sketchup.platform == :platform_win && Sketchup.version.to_i >= 21
    _p = ['x64', 'mingw']
  else
    _p = RUBY_PLATFORM.scan(/([A-Za-z0-9_]+)-([A-Za-z_]+)/)[0]
  end
  _d = __dir__
  [_v + '.' + _p[1] + '.' + _p[0], _v + '.' + _p[1], _v[0..1] + '.' + _p[1] + '.' + _p[0], _v[0..1] + '.' + _p[1]].each do |f|
    f = _d + '/rgloader' + f
    $LOADED_FEATURES.reject! { |p| p.dup.force_encoding("UTF-8").start_with?(f.force_encoding("UTF-8")) }
    begin
      Kernel.require f and break
    rescue LoadError
    end
  end
end

raise(LoadError, '请联系云中库客服') unless defined?(RGLoader)

CloudRGLoader = RGLoader

module Kernel
  alias CloudRGLoader_load RGLoader_load
end