
#!/usr/bin/ruby
# frozen_string_literal: true

# @Author: sun
# @Date:   2024-04-07

require 'sketchup.rb'
require 'extensions.rb'

# ========================

module Cloud_material
  module Cloud_material
    @extversion           = '2024.1'
    @exttitle             = '云中库'
    @extname              = 'cloudmaterial'
    @extname2020              = 'cloudmaterial2020'
    @old              = 'cloudmaterial.rbe'
    
    @extdir = File.dirname(__FILE__)
    @extdir.force_encoding('UTF-8') if @extdir.respond_to?(:force_encoding)

    del = File.join(@extdir, @extname, 'cloudmaterial.rbe')
    flag = File.exist?(del)
    if  flag==true
      File.delete(del)
    end
    
    if Sketchup.version.to_i < 21  
      loader = File.join(@extdir, @extname2020, 'cloudmaterial.rb')
      puts loader
    else
      loader = File.join(@extdir, @extname, 'cloudmaterial.rb')
      puts loader
    end

    extension             = SketchupExtension.new(@exttitle, loader)
    extension.copyright   = "Copyright 2021-#{Time.now.year} @Author:sun"
    extension.creator     = '客服微信：yunzhongku001'
    extension.version     = @extversion
    extension.description = '云中库'
    Sketchup.register_extension(extension, true)
  end 
end 
